% searchrn.m tries out a number of different randomly selected starting points
% for initializing the search for the best aa-vector.  It stores all the
% aa-vectors as well as all the GNP-impulse response functions as well as the
% value of the criterion.
% TO USE THIS PROCEDURE YOU NEED TO SET SEARCH_MODE = 2 IN SEARCH.M!!!

TOT_STARTS = 200;
alpha_vec = [];
aa_vec = [];
crit_vec = [];
IR_gnp_vec = [];
for starts = 1 : TOT_STARTS,
   disp(sprintf('SEARCHRN: starts = %5.0f',starts));
   search;
   alpha_vec = [alpha_vec,alpha_opt];
   aa_vec = [aa_vec,aa_opt];
   crit_vec = [crit_vec,critval];
   IR_gnp_vec = [IR_gnp_vec,ir(:,1)];
end;

